.select2-container--default {
    .select2-selection--multiple,
    .select2-selection--single {
        background: none;
        border: none;
        border-bottom: 1px solid #FFFFFF;
        border-radius: 0;
        height: auto;
        &::placeholder {
            color: #fff;
            opacity: 1;
        }
        .select2-selection {
            &__arrow b {
                background: url(../img/icon/arrow.svg) no-repeat;
                border: none;
                width: 9px;
                height: 5px;
                margin-left: -9px;
                margin-top: 0;
            }
            &__placeholder {
                color: #fff;
            }
            &__rendered {
                font-weight: 600;
                font-size: 12px;
                line-height: 14px;
                letter-spacing: 0.15em;
                padding: 9px 10px;
                color: #fff;
                text-align: left;
            }
        }
    }
}
.select2 {
    &-dropdown {
        background: rgba(190, 141, 85, 0.54);
        box-shadow: 0px 15px 45px rgba(35, 61, 87, 0.7);
        border-radius: 10px !important;        
        border: none;
        margin-top: 0.75rem;
        margin-left: -0.38rem;
        box-sizing: content-box;
        padding: 0 0.38rem;
        backdrop-filter: 1px;
        @supports ( not (backdrop-filter: blur(1px))) {
            background: rgba(190, 141, 85, 0.99);
        }
        &:before {
            content: '';
            position: absolute;
            top: 0;
            right: 0;
            bottom: 0;
            left: 0;
            -webkit-backdrop-filter: blur(40px);
            backdrop-filter: blur(40px);
            border-radius: 10px;
            overflow: hidden;
            z-index: -1;
        }
    }
    &-results__options {
        padding: 0.88rem 1rem; 
    }
    &-container--default .select2-results__option {
        &[aria-selected] {
            font-weight: 600;
            font-size: 0.63rem;
            line-height: 300%;
            letter-spacing: 0.15em;
            color: #FFFFFF;
            height: auto;
            padding: 0;
        }
        &--highlighted[aria-selected] {
            background-color: none; 
            color: #000;
        }
        &[aria-selected="true"] {
            background: none;
        }
    }
}
select.select {
    display: none;
}
.select2-container--default.select2-container--focus .select2-selection--multiple {
    border: none;
    border-bottom: 1px solid #FFFFFF;
}
.select2-container--default .select2-selection--multiple .select2-selection__rendered, .select2-container--default .select2-selection--single.select2-selection--multiple .select2-selection__rendered {
    padding: 0;
}
.select2-container--default .select2-search--inline .select2-search__field {
    font-weight: 600;
    font-size: 12px;
    line-height: 14px;
    letter-spacing: .15em;
    color: #fff;
    text-align: left;
    &::placeholder {
        color: #fff;
        opacity: 1;
    }
}
.select2-container--default .select2-selection--multiple .select2-selection__choice__remove {
    color: #fff;
}
.select2-container--default .select2-selection--multiple .select2-selection__choice {
    background: $colorGold;
    border: none;
    margin-top: 2px;
    padding: 0 3px;
    margin-right: 3px;
    &.tooltip {
        margin-right: 0;
        width: auto;
    }
}
.select2-container--default .select2-selection--multiple .select2-selection__rendered, .select2-container--default .select2-selection--single.select2-selection--multiple .select2-selection__rendered {
    white-space: nowrap;
    overflow: hidden;
    height: 21px;
    margin-top: 4px;
}
.select2-container--default .select2-results__options[aria-multiselectable] .select2-results__option {
    padding: 0 0 0 23px !important;
    position: relative;
    &:before {
        content: "";
        width: 13px;
        height: 13px;
        border: 1px solid #C4C4C4;
        position: absolute;
        top: 50%;
        left: 0;
        transform: translateY(-50%);
    }
    &[aria-selected="true"] {
        &:after {
            content: "";
            width: 9px;
            height: 9px;
            background: #fff;
            position: absolute;
            top: 50%;
            left: 3px;
            transform: translateY(-50%);
        }
    }
}
.select2-container--default .select2-selection--multiple:before {
    content: '';
    display: block;
    background: url(../img/icon/arrow.svg) no-repeat;
    border: none;
    width: 9px;
    height: 5px;
    margin-left: -9px;
    margin-top: -2px;
    right: 11px;
    position: absolute;
    top: 50%;
}
.select2-results__options, .select2-results__options {
    &::-webkit-scrollbar {
        width: 2px;
    }
    &::-webkit-scrollbar-track {
        background: #E5E5E5;
        margin: 17px 0;
    }
    &::-webkit-scrollbar-thumb {
        background: #BE8D55;
    }
}
.select2-container--open {
    .select2-selection__arrow b {
        transform: rotate(180deg);
    }
    .select2-selection--multiple {
        &:before {
            transform: rotate(180deg);
        }
    }
}
.select2-container--default .select2-search--inline .select2-search__field {
    padding: 0 10px 0;
}
.select2-container--default .select2-selection--multiple .select2-selection__clear {
    display: none;
}
.select2-container--default .select2-selection--multiple .select2-selection__rendered li {
    max-width: 80%;
    overflow: hidden;
    display: block;
    white-space: nowrap;
    text-overflow: ellipsis;
    height: 21px;
    line-height: 18px;
    margin-top: 0;
    @media (max-width: 1024px) {
        width: 42%;
        text-align: center;
    }
    &.select2-search--inline {
        width: auto;
    }
    span {
    }
}

.select-container {
    .select2 {
        &-dropdown {
            background: #fff;
            box-shadow: 0px 15px 55px #797979;
            border-radius: 10px !important;        
            border: none;
            margin-top: 0.75rem;
            margin-left: -0.38rem;
            box-sizing: content-box;
            padding: 0 0.38rem;
            z-index: 2;
            &:before {
                display: none;
            }
        }
        &-results__options {
            padding: 0.88rem 1rem; 
        }
        &-container--default .select2-results__option {
            &[aria-selected] {
                font-weight: 600;
                font-size: 0.63rem;
                line-height: 300%;
                letter-spacing: 0.15em;
                color: #192531;
                height: auto;
                padding: 0;
                &:hover {
                    color: #BE8D55;
                }
            }
            &--highlighted[aria-selected] {
                background-color: none; 
                color: #000;
            }
            &[aria-selected="true"] {
                background: none;
            }
        }
    }
    .select2-container--default .select2-results__options[aria-multiselectable] .select2-results__option {
        &[aria-selected="true"] {
            color: #BE8D55;
            &:before {
                border-color: #BE8D55;
            }
            &:after {
                background: #BE8D55;
            }
        }
    }
    span.select2-container.select2-container--default.select2-container--open {
        z-index: 2555555555;
    }
}
.select2-container--default .select2-selection--multiple .select2-selection__rendered, .select2-container--default .select2-selection--single .select2-selection__rendered {
    padding-right: 15px;
}
.select2-container--default .select2-search--inline .select2-search__field {
    padding: 0;
}
.selectDirection__box .select2-container--default .select2-selection--multiple .select2-selection__rendered li:not(.select2-search.select2-search--inline) {
    max-width: calc(50% - 15px);
}
.search-main {
    position: relative;
}
.tooltip {
    position: relative;
    @media (max-width:1024px) {
        position: relative !important;
        z-index: 99999999999999999999999999999999 !important;
        pointer-events: auto !important;
    }
    &-hide {
        opacity: 0;
        visibility: hidden;
        position: absolute;
        pointer-events: none;
        bottom: 88%;
        left: 38%;    
        font-weight: 600;
        font-size: .63rem;
        line-height: 1.3;
        text-align: center;
        letter-spacing: .15em;
        color: #192531;
        background: #fff;
        padding: .25rem .56rem;
        transform: translateX(-50%) translateY(-15px);
        width: 11.31rem;
        box-shadow: 0 4px 24px rgba(0,0,0,.46);
        border-radius: 4px;
        z-index: 4;
        transition: .3s ease;
        @media (max-width:1024px) {
            display: none;
        }
        &.is-active {
            opacity: 1;
            visibility: visible;
        } 
    }
}
.popup__search-main {
    .tooltip-hide {
        @media (max-width:1024px) {
            display: block;
            width: 100%;
            left: 0;
            bottom: 79%;
            transform: translateX(0%) translateY(-15px);
        }
    }
}
.search__select-container {
    position: relative;
    .tooltip-hide {
        display: block;
        bottom: auto;
        top: 10px
    }
}

.select2-selection__choice + .select2-search.select2-search--inline {
    width: 1px !important;
}